# Print & Scan

---
### Slides for this section are available [here](https://39iosdev.gitlab.io/ccd-iqt/idf/C-Programming/IO_part_1/slides/#/)


## Topics:

* ### C Streams
* ### Functions
* ### Basic I/O
* ### String I/O
* ### Formatted I/O

## By the end of this lesson you should know:

* The three standard C streams
* I/O Functions such as: **printf\(\), getchar\(\), putchar\(\), exit\(\)**
* String I/O Functions such as: **gets\(\), gets\_s\(\), puts\(\), fgets\(\), fputs\(\)**
* How to utilize formatted I/O
